<style>
dl {
    width: 100%;
    overflow: hidden;
    padding: 0;
    margin: 0
}
dt {
    float: left;
    width: 50%;
    /* adjust the width; make sure the total of both is 100% */
    padding: 0;
    margin: 0
}
dd {
    float: left;
    width: 50%;
    /* adjust the width; make sure the total of both is 100% */
    padding: 0;
    margin: 0
}
fieldset.fieldset-border {
    border: 1px groove #ddd !important;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
    -webkit-box-shadow:  0px 0px 0px 0px #000;
            box-shadow:  0px 0px 0px 0px #000;
}

legend.fieldset-border {
    width:inherit; /* Or auto */
    padding:0 10px; /* To give a bit of padding on the left and right */
    border-bottom:none;
}
</style>
<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="produit">
            <fieldset class="fieldset-border">
                <legend class="fieldset-border">
                    <h2><span jhiTranslate="winpharmApp.produit.detail.title">Produit</span> {{produit.id}}</h2>
                </legend>
                <jhi-alert-error></jhi-alert-error>
                <dl class="row-md jh-entity-details">
                    <dt><span jhiTranslate="winpharmApp.produit.designation">Designation</span></dt>
                    <dd>
                        <span>{{produit.designation}}</span>
                    </dd>
                    <dt><span jhiTranslate="winpharmApp.produit.actif">Actif</span></dt>
                    <dd>
                        <span>{{produit.actif}}</span>
                    </dd>
                    <dt><span jhiTranslate="winpharmApp.produit.rayon">Rayon</span></dt>
                    <dd>
                        <div *ngIf="produit.rayon">
                            <a [routerLink]="['/rayon', produit.rayon?.id, 'view']">{{produit.rayon?.libelle}}</a>
                        </div>
                    </dd>
                    <dt><span jhiTranslate="winpharmApp.produit.categorie">Categorie</span></dt>
                    <dd>
                        <div *ngIf="produit.categorie">
                            <a [routerLink]="['/categorie', produit.categorie?.id, 'view']">{{produit.categorie?.libelle}}</a>
                        </div>
                    </dd>
                    <dt><span jhiTranslate="winpharmApp.produit.laboratoire">Laboratoire</span></dt>
                    <dd>
                        <div *ngIf="produit.laboratoire">
                            <a [routerLink]="['/laboratoire', produit.laboratoire?.id, 'view']">{{produit.laboratoire?.raisonSociale}}</a>
                        </div>
                    </dd>
                    <dt><span jhiTranslate="winpharmApp.produit.grossiste">Grossiste</span></dt>
                    <dd>
                        <div *ngIf="produit.grossiste">
                            <a [routerLink]="['/grossiste', produit.grossiste?.id, 'view']">{{produit.grossiste?.raisonSociale}}</a>
                        </div>
                    </dd><br>
                    <fieldset class="fieldset-border" *ngIf="produit.stock">
                        <legend class="fieldset-border">
                            <span jhiTranslate="winpharmApp.produit.stock">Stock - {{produit.stock?.id}}</span>
                        </legend>
                        <div *ngIf="produit.stock">
                            <dl class="row-md jh-entity-details">
                                <dt><span jhiTranslate="winpharmApp.stock.couvertureMin">Couverture Min</span></dt>
                                <dd>
                                    <span>{{produit.stock?.couvertureMin}}</span>
                                </dd>
                                <dt><span jhiTranslate="winpharmApp.stock.couvertureMax">Couverture Max</span></dt>
                                <dd>
                                    <span>{{produit.stock?.couvertureMax}}</span>
                                </dd>
                                <dt><span jhiTranslate="winpharmApp.stock.quantite">Quantite</span></dt>
                                <dd>
                                    <span>{{produit.stock?.quantite}}</span>
                                </dd>
                                <dt><span jhiTranslate="winpharmApp.stock.datePeremption">Date Peremption</span></dt>
                                <dd>
                                    <span>{{produit.stock?.datePeremption}}</span>
                                </dd>
                                <dt><span jhiTranslate="winpharmApp.stock.prixAchat">Prix Achat</span></dt>
                                <dd>
                                    <span>{{produit.stock?.prixAchat}}</span>
                                </dd>
                                <dt><span jhiTranslate="winpharmApp.stock.prixVente">Prix Vente</span></dt>
                                <dd>
                                    <span>{{produit.stock?.prixVente}}</span>
                                </dd>
                            </dl>
                        </div>
                    </fieldset>
                </dl>
            </fieldset>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/produit', produit.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
